Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class IndexHelper.IndexInfo

    java.lang.Object
      org.apache.cassandra.io.IndexHelper.IndexInfo

Enclosing class:
  IndexHelper

    public static class IndexHelper.IndexInfo

extends java.lang.Object

Field Summary
`byte[]` | `firstName`
`byte[]` | `lastName`
`long` | `offset`
`long` | `width`

Constructor Summary
`IndexHelper.IndexInfo(byte[] firstName, byte[] lastName, long offset, long width)`

Method Summary
`static IndexHelper.IndexInfo` | `deserialize(FileDataInput dis)`
`void` | `serialize(java.io.DataOutput dos)`
`int` | `serializedSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public final long width

### lastName

    public final byte[] lastName

### firstName

    public final byte[] firstName

### offset

    public final long offset

Constructor Detail

### IndexHelper.IndexInfo

    public IndexHelper.IndexInfo(byte[] firstName,
                                 byte[] lastName,
                                 long offset,
                                 long width)

Method Detail

### serialize

    public void serialize(java.io.DataOutput dos)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    public int serializedSize()

### deserialize

    public static IndexHelper.IndexInfo deserialize(FileDataInput dis)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation